#include "MenuTextRight_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextRight_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextRight_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_right;
}

std::shared_ptr<Entity> CreateMenuTextRight_Player1Keyboard()
{
	return std::make_shared<MenuTextRight_Player1Keyboard>();
}


